Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

Unwrap Response

POST
/vault/v1/workspaces/{workspace}/wrapping:unwrap
curl --request POST \
--url https://example.com/vault/v1/workspaces/example/wrapping:unwrap \
--header 'Content-Type: application/json' \
--data '{ "workspace": "example", "token": "example" }'

Redeems a previously-wrapped token, returning the original payload. Single- shot — a second call with the same token returns FAILED_PRECONDITION.

workspace
required
string

The workspace under which the token was wrapped.

Media type application/json

Request payload for Unwrap Response

Carries the input fields required to unwrap response.

object
workspace
required

The workspace under which the token was wrapped.

string
token
required

The wrapping token issued by WrapResponse.

string
Example generated
{
"workspace": "example",
"token": "example"
}

OK

Media type application/json

Response payload from Unwrap Response

Carries the output produced by unwrap response.

object
payload

The original payload.

string format: bytes Output only
original_creation_time

The engine-side wrap-time creation timestamp echoed for auditability.

string format: date-time Output only
Example generated
{}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}